components:
  schemas:
    Redundancy_v1_3_5_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Redundancy_v1_3_5_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_2_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Redundancy_v1_3_5_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Redundancy_v1_3_5_Redundancy:
      additionalProperties: false
      description: The common redundancy definition and structure used in other Redfish
        schemas.
      properties:
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        Actions:
          $ref: '#/components/schemas/Redundancy_v1_3_5_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_2_0
        MaxNumSupported:
          description: The maximum number of members allowable for this particular
            redundancy group.
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the maximum number of members
            allowed in the redundancy group.
        MemberId:
          description: The identifier for the member within the collection.
          readOnly: true
          type: string
          x-longDescription: This property shall uniquely identify the member within
            the collection.  For services supporting Redfish v1.6 or higher, this
            value shall contain the zero-based array index.
        MinNumNeeded:
          description: The minimum number of members needed for this group to be redundant.
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the minimum number of members
            allowed in the redundancy group for the current redundancy mode to still
            be fault tolerant.
        Mode:
          $ref: '#/components/schemas/Redundancy_v1_3_5_RedundancyMode'
          description: The redundancy mode of the group.
          nullable: true
          readOnly: false
          x-longDescription: This property shall contain the information about the
            redundancy mode of this subsystem.
        Name:
          description: The name of the resource or array member.
          readOnly: true
          type: string
          x-longDescription: This object represents the name of this resource or array
            member.  The resource values shall comply with the Redfish Specification-described
            requirements.  This string value shall be of the 'Name' reserved word
            format.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        RedundancyEnabled:
          description: An indication of whether redundancy is enabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether the redundancy is
            enabled.
          x-versionAdded: v1_1_0
        RedundancySet:
          description: The links to components of this redundancy set.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain the links to components that
            are part of this redundancy set.
        RedundancySet@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
      required:
      - Name
      - Mode
      - MinNumNeeded
      - Status
      - RedundancySet
      - '@odata.id'
      - MemberId
      type: object
      x-longDescription: This object represents the redundancy element property.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Redundancy_v1_3_5_RedundancyMode:
      enum:
      - Failover
      - N+m
      - Sharing
      - Sparing
      - NotRedundant
      type: string
      x-enumDescriptions:
        Failover: Failure of one unit automatically causes a standby or offline unit
          in the redundancy set to take over its functions.
        N+m: Multiple units are available and active such that normal operation will
          continue if one or more units fail.
        NotRedundant: The subsystem is not configured in a redundancy mode, either
          due to configuration or the functionality has been disabled by the user.
        Sharing: Multiple units contribute or share such that operation will continue,
          but at a reduced capacity, if one or more units fail.
        Sparing: One or more spare units are available to take over the function of
          a failed unit, but takeover is not automatic.
      x-enumVersionAdded:
        NotRedundant: v1_3_0
title: '#Redundancy.v1_3_5'
x-copyright: Copyright 2014-2020 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2017.3'
